Execute Tool
curl --request POST \
--url https://api.boostgpt.co/v1/bot/chat/execute-tool \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"chat_id": "<string>",
"execution_data": {
"executionId": "<string>",
"originalQuery": "<string>",
"executionType": "SINGLE",
"context": "<string>",
"toolName": "<string>",
"parameters": {},
"tools": [
{
"name": "<string>",
"parameters": {}
}
],
"executedTools": [
{
"name": "<string>",
"executionId": "<string>"
}
]
},
"model": "<string>",
"instruction": "<string>",
"bypass_rate_limit": true,
"chat_mode": "ask"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/chat/execute-tool"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"chat_id": "<string>",
"execution_data": {
"executionId": "<string>",
"originalQuery": "<string>",
"executionType": "SINGLE",
"context": "<string>",
"toolName": "<string>",
"parameters": {},
"tools": [
{
"name": "<string>",
"parameters": {}
}
],
"executedTools": [
{
"name": "<string>",
"executionId": "<string>"
}
]
},
"model": "<string>",
"instruction": "<string>",
"bypass_rate_limit": True,
"chat_mode": "ask"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
chat_id: '<string>',
execution_data: {
executionId: '<string>',
originalQuery: '<string>',
executionType: 'SINGLE',
context: '<string>',
toolName: '<string>',
parameters: {},
tools: [{name: '<string>', parameters: {}}],
executedTools: [{name: '<string>', executionId: '<string>'}]
},
model: '<string>',
instruction: '<string>',
bypass_rate_limit: true,
chat_mode: 'ask'
})
};
fetch('https://api.boostgpt.co/v1/bot/chat/execute-tool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {},
"executionId": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Chat
Execute Tool
Execute a tool within a chat session (single or batch execution)
POST
/
v1
/
bot
/
chat
/
execute-tool
Execute Tool
Authorizations
Enter your API key
Body
application/json
Project ID
Agent ID
Chat ID
Show child attributes
Show child attributes
Override model for execution
Custom instruction
Maximum string length:
1000Bypass rate limiting
Chat mode. 'ask' for normal chat, 'edit' for agent-powered code editing, 'plan' for conversational plan-then-execute workflow
Available options:
ask, edit, plan Was this page helpful?
⌘I